import { DataSourceSummaryOperand } from 'igniteui-react-core';
import { IgrDataGrid, IgrTextColumn, IgrNumericColumn, FilterUIType, IgrColumnSummaryDescription, EditModeType, EditModeClickAction } from 'igniteui-react-grids';

export interface IProps {
  grid1Data: any;
  onGrid1Ref: any;
  grid1ActiveCellChanged: any;
}


const GrandChildComponent = (props: IProps) => {
  const onGrid1Ref = (grid: IgrDataGrid) => {
    if (!grid) {
      return;
    }
    const summaryDescription = new IgrColumnSummaryDescription();
    ["Id", "Salary"].forEach((data) => {
      summaryDescription.field = data;
      summaryDescription.operand = DataSourceSummaryOperand.Sum;
      grid.summaryDescriptions.add(summaryDescription);
    })
    props.onGrid1Ref(grid);
  };
  return (
    <div className="container">
      <IgrDataGrid
        ref={onGrid1Ref}
        height="calc(100% - 40px)"
        width="100%"
        defaultColumnMinWidth={120}
        useAccessibility="true"
        autoGenerateColumns="false"
        dataSource={props.grid1Data}
        selectionMode="MultipleRow"
        editMode={EditModeType.Cell}
        editModeClickAction={EditModeClickAction.SingleClick}
        filterUIType={FilterUIType.ColumnOptions}
        selectedItemsChanged={props.grid1ActiveCellChanged}
        summaryScope="Root"
        groupSummaryDisplayMode="RowBottom"
      >
        <IgrTextColumn field="Id" headerText="ID" width="*>150" />
        <IgrTextColumn field="Salary" headerText="Salary" width="*>120" isEditable={true} />
      </IgrDataGrid>
    </div>
  );
};

export default GrandChildComponent;
